package com.jwipc.sys.convert;

import com.jwipc.sys.dto.MoldMoveDTO;
import com.jwipc.sys.entity.MoldMove;
import com.jwipc.sys.model.po.MoldMovePO;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface MoldMoveConvert {
    List<MoldMoveDTO> po2PageListDTO(List<MoldMovePO> MoldMovePOS);
    MoldMoveDTO po2DTO(MoldMovePO MoldMovePO);

    MoldMove dto2Entity(MoldMoveDTO param);
    //List<MoldMoveDTO> entity2ListDTO(List<MoldMove> MoldMove);
}
